package  MT::Plugin::TransformTemplate;

use strict;

use base qw( MT::Plugin);

my $plugin = new MT::Plugin::TransformTemplate({
		id => 'TransformTemplate',
		key => 'transform-template',
		name => 'Transform Template',
		description => "Tranform some template",
		version => '0.1',
		author_name => 'Shinichi Nozawa',
		author_link => 'http://nozawashinichi.sakura.ne.jp/usingmt/',
		plugin_link => 'http://www.nozawashinichi.sakura.ne.jp/usingmt/2008/08/transformer-callbacks.html',
	});
MT->add_plugin($plugin);

sub init_registry {
	my $plugin = shift;
	$plugin->registry({
		callbacks => {
			'MT::App::CMS::template_param.edit_entry' => sub{ $plugin->edit_entry(@_); },
		}
	});
}


sub edit_entry {
    my $plugin = shift;
    my ($cb, $app, $param, $tmpl) = @_;
	
	#LҏWʂbasename(t@C)̏ɋ󗓂\܂B
    # }[J[擾
    my $basename_field = $tmpl->getElementById('basename');

    # vf𐶐
    my $setting = $tmpl->createElement(
                             'app:setting',
                              { id => 'foo_bar', required => 1 });
    my $innerHTML = '<input type="text" name="foo_bar"
                       value="foo_bar"
                       id="foo_bar" />';
    $setting->innerHTML($innerHTML);

    # basenamȇOɗvft^
    $tmpl->insertBefore($setting, $basename_field);
}


1;